#!/bin/sh

#edit Faenza theme path here
FAENZA=/usr/share/icons/Faenza


### COPY PNGs ###

SOURCE=$(pwd)
EXT=png

for SIZE in 16 22 24 32 48
do

DEST=$FAENZA/mimetypes/$SIZE

cd $DEST

cp --remove-destination $SOURCE/$SIZE/application-vnd.rn-realmedia.$EXT ./
ln -sf application-vnd.rn-realmedia.$EXT gnome-mime-application-vnd.rn-realmedia-secure.$EXT
ln -sf application-vnd.rn-realmedia.$EXT gnome-mime-application-vnd.rn-realmedia.$EXT
ln -sf application-vnd.rn-realmedia.$EXT gnome-mime-application-vnd.rn-realmedia-vbr.$EXT

cp --remove-destination $SOURCE/$SIZE/video-quicktime.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-flv.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-generic.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-matroska.$EXT ./
ln -sf video-x-matroska.$EXT application-x-matroska.$EXT

cp --remove-destination $SOURCE/$SIZE/video-x-msvideo.$EXT ./
ln -sf video-x-msvideo.$EXT gnome-mime-video-x-ms-asf.$EXT
ln -sf video-x-msvideo.$EXT gnome-mime-video-x-ms-wmv.$EXT

done

### COPY SVGs ###

EXT=svg
SIZE=scalable
DEST=$FAENZA/mimetypes/$SIZE

cd $DEST

cp --remove-destination $SOURCE/$SIZE/application-vnd.rn-realmedia.$EXT ./
ln -sf $DEST/application-vnd.rn-realmedia.$EXT $DEST/gnome-mime-application-vnd.rn-realmedia-secure.$EXT
ln -sf $DEST/application-vnd.rn-realmedia.$EXT $DEST/gnome-mime-application-vnd.rn-realmedia.$EXT
ln -sf $DEST/application-vnd.rn-realmedia.$EXT $DEST/gnome-mime-application-vnd.rn-realmedia-vbr.$EXT

cp --remove-destination $SOURCE/$SIZE/video-quicktime.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-flv.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-generic.$EXT ./

cp --remove-destination $SOURCE/$SIZE/video-x-matroska.$EXT ./
ln -sf video-x-matroska.$EXT application-x-matroska.$EXT

cp --remove-destination $SOURCE/$SIZE/video-x-msvideo.$EXT ./
ln -sf video-x-msvideo.$EXT gnome-mime-video-x-ms-asf.$EXT
ln -sf video-x-msvideo.$EXT gnome-mime-video-x-ms-wmv.$EXT

